Method: projects.locations.apis.patch

Update an API resource in the API hub. The following fields in the API can be updated:

The updateMask should be used to specify the fields being updated.

Updating the owner field requires complete owner message and updates both owner and email fields.

HTTP request

PATCH https://apihub.googleapis.com/v1/{api.name=projects/*/locations/*/apis/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
api.name

string

Identifier. The name of the API resource in the API Hub.

Format: projects/{project}/locations/{location}/apis/{api}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Api.

Response body

If successful, the response body contains an instance of Api.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.apis.update

For more information, see the IAM documentation.